Create Contractor Payment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Create a contractor payment in Zeal. Zeal will process the payment for the contractor the day before the pay_date.

Multiple contractor payments may be submitted for the same contractor and the same pay_date.

Returns

Returns boolean indicating success status and contractor payment object if successful.

attributetypedescription
successbooleanResponse status
dataobjectContractor Payment object
errorsarrayIf success is false, errors contains a list of error objects.

Show child attributes
message
type: string
description: Error message

status
type: number
description: HTTP response code

code
type: number
description: Error code (see Error codes )

Body Params
string
required

Company ID of employer

string
required

ID of Contractor that needs to be paid out

boolean
Defaults to false

Set to true if this payment requires manual approval by the employer. Otherwise, by default, Zeal will automatically process the payment two business days before the pay_date

date
required

Pay date for this payment. Formatted as a date in ISO-8601 format (YYYY-MM-DD). If the pay_date falls on a weekend/bank holiday or the current time is after 2 PM two days before the given pay_date, please correct the date and resubmit. We will not roll forward the pay_date automatically

float

Amount that needs to be paid out. Only required if no payment items are present.

payment_items
array

Array of payment item objects. If payment items are present, amount is not required.

payment_items
string
enum

Accepts two_day, one_day, one_day_no_reserve, zero_day,zero_day_no_reserve or instant as values (Early Access)

Allowed:
string
enum
Defaults to regular

Type of payment. Only regular payments are reported on a contractor's Form 1099-NEC.

Allowed:
disbursement
object

The disbursement for the how payment will be made. Defaults to direct_deposit if left empty.

string

ID of Customer Account associated with this Contractor Payment

boolean

Applies a deduction to this check for each contractor deduction template that is effective at the time of the pay date for the contractor. Note: Only applicable when payment_items is provided

metadata
object

Custom metadata object.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json